Get a case settings team configuration
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/cases/cases/case-settings/v1/configs/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/cases/cases/case-settings/v1/configs/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/cases/cases/case-settings/v1/configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"caseSettings": {
"caseLifecycle": {
"autoResolve": {
"enabled": true,
"inactivePeriod": "3600s"
},
"kpi": {
"thresholds": [
{
"enabled": true,
"threshold": "300s"
}
]
},
"resolutionSnoozePeriod": "600s",
"suppressionPeriod": "3600s"
},
"createTime": "2025-09-22T10:30:00.000Z",
"globalIndicatorSettings": {
"enabled": true,
"filteringConditions": [
{
"enabled": true,
"entityLabels": {
"all": {},
"values": {
"items": [
{
"key": "service",
"value": "payments"
}
]
}
},
"priorities": {
"all": {},
"values": {
"items": []
}
}
}
]
},
"id": "3f166e9f-3c88-4af2-b52e-138f339dab3e",
"name": "Default Team Config",
"updateTime": "2023-11-07T05:31:56Z"
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Case Settings Service
Get a case settings team configuration
Retrieve a single case settings team configuration by its identifier.
Requires the following permissions:
case-config:Read
Get a case settings team configuration
Authorizations
API key authentication
Path Parameters
ID of the case settings team configuration
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"8c0c02a3-3c1c-4d56-9a2d-9f6ab6a4b321"
Response
Response containing the requested case settings team configuration.
Team-level configuration entity for case management.
Show child attributes
Show child attributes
Was this page helpful?
Delete a case settings team configurationGet system default case settings team configuration settings
⌘I